Bug 661669 - The upcoming audit patch causes inability to run sshd as non root
Summary: The upcoming audit patch causes inability to run sshd as non root
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: openssh
Version: 5.6
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: rc
: ---
Assignee: Jan F. Chadima
QA Contact: BaseOS QE Security Team
URL:
Whiteboard:
Depends On: 661666
Blocks: 640580
TreeView+ depends on / blocked
 
Reported: 2010-12-09 10:48 UTC by Jan F. Chadima
Modified: 2011-01-13 22:05 UTC (History)
7 users (show)

Fixed In Version: openssh-4.3p2-71.el5
Doc Type: Bug Fix
Doc Text:
Clone Of: 661666
Environment:
Last Closed: 2011-01-13 22:05:27 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:0018 0 normal SHIPPED_LIVE openssh bug fix and enhancement update 2011-01-12 16:04:50 UTC

Description Jan F. Chadima 2010-12-09 10:48:40 UTC
+++ This bug was initially created as a clone of Bug #661666 +++

Description of problem:
the audit code finist the session with EPERM

Version-Release number of selected component (if applicable):


How reproducible:
allways

Steps to Reproduce:
1.
run /usr/sbin/sshd as non root user
2.
run ssh localhost
3.
  
Actual results:
connection is broken


Expected results:
the ssh works as expected

Additional info:

--- Additional comment from jchadima@redhat.com on 2010-12-09 05:47:52 EST ---

The solution is change the openssh's audit code according to pam's one.

Comment 7 errata-xmlrpc 2011-01-13 22:05:27 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0018.html


Note You need to log in before you can comment on or make changes to this bug.